Skip to content

Get a project

GET
/projects/{projectId}
import { FloraClient } from '@flora-ai/flora';
const client = new FloraClient({ apiKey: process.env['FLORA_API_KEY'] });
const project = await client.projects.retrieve({
projectId: '<projectId>',
});
console.log(project);

Returns metadata for a single project when it is accessible to the authenticated public API key. Missing and inaccessible projects both return 404.

Error responses use the standard error body.

projectId
required

Project identifier

string
/^prj_\S+$/

Project identifier

Project returned.

Media type application/json
object
project_id
required

Project identifier

string
/^prj_\S+$/
name
required

Project name

string
workspace_id
required

Workspace identifier

string
/^ws_\S+$/
origin
required
Any of:

Project origin

string
last_modified
required
Any of:
number
created_at
required
number
Example
{
"project_id": "prj_abc123",
"name": "Spring Campaign",
"workspace_id": "ws_abc123",
"origin": "api"
}